Configure review settings

PUT
/api/v1/review-settings

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API key created in Capy under Settings → API.

Request body

application/json
  1. body
repo*string
autoReview?string
One of"off""once""always"
postingThreshold?string
One of"low""medium""high"
postInvestigate?boolean
postNotes?boolean
postStatusCheck?boolean
projectId?string
memorySelection?string
One of"index""paths""select"

Response body

ReviewSettings

application/json
  1. response
repo*string
billingOrgId*string|null
heldByCaller*boolean
autoReview*string
One of"off""once""always"
postingThreshold*string
One of"low""medium""high"
postInvestigate*boolean
postNotes*boolean
postStatusCheck*boolean
projectId*string|null
memorySelection*string
One of"index""paths""select"
curl -X PUT 'https://api.capy.ai/api/v1/review-settings' \  -H 'Content-Type: application/json' \  -d '{  "repo": "string"}'
{  "repo": "string",  "billingOrgId": "string",  "heldByCaller": true,  "autoReview": "off",  "postingThreshold": "low",  "postInvestigate": true,  "postNotes": true,  "postStatusCheck": true,  "projectId": "string",  "memorySelection": "index"}
Open in Capy